Help submitting add-on to Kodi Repository
#1
I've developed an add-on and have run into a problem with the submission process to the Kodi Repository.
My add-on requires the use of the enum34 module which is not included by default in Python version 2.7.
For those not familiar with this module, enum34 is a Python stdlib enum module available in Python 3.4+ that has been backported for previous versions of Python from 2.4 to 3.3.

I've included the enum34 module in a separate lib directory as part of my add-on. The module is only used when the add-on is running under Python 2.7.
The problem I've encountered is that the code check system used by the repository has declared this module "not up to standards" which is keeping my add-on from passing and being accepted. Is there any way to whitelist this module so that my add-on can be accepted?
Reply
#2
(2019-07-02, 02:45)jmooremcc Wrote: I've developed an add-on and have run into a problem with the submission process to the Kodi Repository.
My add-on requires the use of the enum34 module which is not included by default in Python version 2.7.
For those not familiar with this module, enum34 is a Python stdlib enum module available in Python 3.4+ that has been backported for previous versions of Python from 2.4 to 3.3.

I've included the enum34 module in a separate lib directory as part of my add-on. The module is only used when the add-on is running under Python 2.7.
The problem I've encountered is that the code check system used by the repository has declared this module "not up to standards" which is keeping my add-on from passing and being accepted. Is there any way to whitelist this module so that my add-on can be accepted?

link to PR? I'll review the submission.
Image Lunatixz - Kodi / Beta repository
Image PseudoTV - Forum | Website | Youtube | Twitter | Help?
Reply
#3
(2019-07-02, 02:48)Lunatixz Wrote:
(2019-07-02, 02:45)jmooremcc Wrote: I've developed an add-on and have run into a problem with the submission process to the Kodi Repository.
My add-on requires the use of the enum34 module which is not included by default in Python version 2.7.
For those not familiar with this module, enum34 is a Python stdlib enum module available in Python 3.4+ that has been backported for previous versions of Python from 2.4 to 3.3.

I've included the enum34 module in a separate lib directory as part of my add-on. The module is only used when the add-on is running under Python 2.7.
The problem I've encountered is that the code check system used by the repository has declared this module "not up to standards" which is keeping my add-on from passing and being accepted. Is there any way to whitelist this module so that my add-on can be accepted?

link to PR? I'll review the submission.  

https://github.com/xbmc/repo-scripts/pull/1079
Reply
#4
(2019-07-02, 20:08)jmooremcc Wrote:
(2019-07-02, 02:48)Lunatixz Wrote:
(2019-07-02, 02:45)jmooremcc Wrote: I've developed an add-on and have run into a problem with the submission process to the Kodi Repository.
My add-on requires the use of the enum34 module which is not included by default in Python version 2.7.
For those not familiar with this module, enum34 is a Python stdlib enum module available in Python 3.4+ that has been backported for previous versions of Python from 2.4 to 3.3.

I've included the enum34 module in a separate lib directory as part of my add-on. The module is only used when the add-on is running under Python 2.7.
The problem I've encountered is that the code check system used by the repository has declared this module "not up to standards" which is keeping my add-on from passing and being accepted. Is there any way to whitelist this module so that my add-on can be accepted?

link to PR? I'll review the submission.   

https://github.com/xbmc/repo-scripts/pull/1079 

Thanks, You packed the module into your plugin... please remove and pack as its own standalone module. Future correspondence will be on github.
Image Lunatixz - Kodi / Beta repository
Image PseudoTV - Forum | Website | Youtube | Twitter | Help?
Reply
#5
(2019-07-03, 02:32)Lunatixz Wrote:
(2019-07-02, 20:08)jmooremcc Wrote:
(2019-07-02, 02:48)Lunatixz Wrote: link to PR? I'll review the submission.   

https://github.com/xbmc/repo-scripts/pull/1079   

Thanks, You packed the module into your plugin... please remove and pack as its own standalone module. Future correspondence will be on github.  
I've tested my new solution with the enum module as a standalone module and it works as expected.
I've been a long time fan of your add-ons and want to thank you for help resolving this issue.
Reply
#6
(2019-07-03, 17:45)jmooremcc Wrote:
(2019-07-03, 02:32)Lunatixz Wrote:
(2019-07-02, 20:08)jmooremcc Wrote: https://github.com/xbmc/repo-scripts/pull/1079   

Thanks, You packed the module into your plugin... please remove and pack as its own standalone module. Future correspondence will be on github.    
I've tested my new solution with the enum module as a standalone module and it works as expected. 

Cool, Please include a reference to your addon PR with the module PR.
(2019-07-03, 17:45)jmooremcc Wrote:
(2019-07-03, 02:32)Lunatixz Wrote:
(2019-07-02, 20:08)jmooremcc Wrote: https://github.com/xbmc/repo-scripts/pull/1079   

Thanks, You packed the module into your plugin... please remove and pack as its own standalone module. Future correspondence will be on github.    
I've tested my new solution with the enum module as a standalone module and it works as expected.
I've been a long time fan of your add-ons and want to thank you for help resolving this issue.  

Thanks... if you need further help feel free to ping me here or on github.
Image Lunatixz - Kodi / Beta repository
Image PseudoTV - Forum | Website | Youtube | Twitter | Help?
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Help submitting add-on to Kodi Repository00